httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe, Jr." <wr...@apache.org>
Subject Re: Whopsie on Darwin/Mac OS X 10.2.1... :-(
Date Mon, 07 Oct 2002 20:45:15 GMT
At 03:27 PM 10/7/2002, Sander Temme wrote:
>Your HEAD probably uses the glibtool(ize) installation on your local box,
>which on 10.2 by default is 1.4.2. The tarball was built using the FreeBSD
>libtool, which is 1.3.4. This version did not know about Darwin yet and will
>not create any sort of shared library on this platform. The solution is
>building the tarball with a more recent version of libtool.
>
>Maybe Apache should fail more conclusively if the user wants .so modules and
>the build system can't do them, but that's a different question from getting
>the functionality to work.
>
>I think the ASF roll environment should bump its libtool. I doubt Darwin is
>the only platform that would benefit from that.

This is my doing.

Suggestion; could you offer a patch to build/httpd_roll_release that warns
the RM that the version of buildconf is too stale?

And yes - updating all the Apache machines would be convienent.

Bill


Mime
View raw message